import request from '@/utils/request'

// 查询cmc合同回款列表
export function listContractPayment(query) {
  return request({
    url: '/oa/contractPayment/list',
    method: 'get',
    params: query
  })
}

// 查询cmc合同回款详细
export function getContractPayment(contractId) {
  return request({
    url: '/oa/contractPayment/' + contractId,
    method: 'get'
  })
}

// 新增cmc合同回款
export function addContractPayment(data) {
  return request({
    url: '/oa/contractPayment',
    method: 'post',
    data: data
  })
}

// 修改cmc合同回款
export function updateContractPayment(data) {
  return request({
    url: '/oa/contractPayment',
    method: 'put',
    data: data
  })
}

// 删除cmc合同回款
export function delContractPayment(contractId) {
  return request({
    url: '/oa/contractPayment/' + contractId,
    method: 'delete'
  })
}
